/*
 * Querydsl query type
 *
 *
 */
package de.ivu.elect.business.kandidatenportal.entity;

import static com.querydsl.core.types.PathMetadataFactory.*;

import com.querydsl.core.types.Path;
import com.querydsl.core.types.PathMetadata;
import com.querydsl.core.types.dsl.EntityPathBase;
import com.querydsl.core.types.dsl.NumberPath;
import com.querydsl.core.types.dsl.StringPath;
import com.querydsl.core.types.dsl.EnumPath;
import com.querydsl.core.types.dsl.DateTimePath;
import com.querydsl.core.types.dsl.SetPath;
import com.querydsl.core.types.dsl.BooleanPath;
import com.querydsl.core.types.dsl.PathInits;

@javax.enterprise.inject.Vetoed
@javax.annotation.Generated("de.ivu.takatuka")
public class QWvpWahlvorschlagDaten extends EntityPathBase<WvpWahlvorschlagDaten> {

  private static final long serialVersionUID = -1;

  // Wird benötigt zur Initialisierung der Entitäten. Verhindert Schleifen, initialisiert standardmäßig aber nur direkte Referenzen, nicht mehrere Ebenen. Mehrere Ebenen müssen explizit angegeben werden.
  private static final PathInits INITS_SAFE = new PathInits("*"
	// DateiImport
, "dateiImport.customDataStorage"
, "dateiImport.datei"
	// WvpBenutzer
, "wvpBenutzer.anschrift"
, "wvpBenutzer.customDataStorage"
, "wvpBenutzer.erreichbarkeitsanschrift"
, "wvpBenutzer.foto"
, "wvpBenutzer.kontoverbindung"
, "wvpBenutzer.wahltermin"
, "wvpBenutzer.wahl"
);

  private static final PathInits INITS = de.ivu.elect.jee.entity.QueryDsl.DIREKT_4_EBENEN;

  public static final QWvpWahlvorschlagDaten wvpWahlvorschlagDaten = new QWvpWahlvorschlagDaten("wvpWahlvorschlagDaten");

  public final NumberPath<Long> id = createNumber("id", Long.class);

  public final StringPath bericht = createString("bericht");

  public final StringPath daten = createString("daten");

  public final NumberPath<java.lang.Long> datenuebernahmeVersion = createNumber("datenuebernahmeVersion", java.lang.Long.class);

  public final DateTimePath datenuebernahmeZeitpunkt = createDateTime("datenuebernahmeZeitpunkt", java.sql.Timestamp.class);


  // Beziehungen N:1 unidirektional

  public final de.ivu.elect.business.datei.entity.QDateiImport dateiImport;

  public final de.ivu.elect.business.kandidatenportal.entity.QWvpBenutzer wvpBenutzer;

  // Beziehungen N:1 bidirektional


  // Beziehungen 1:N bidirektional

  /**
   * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

  public QWvpWahlvorschlagDaten(Class<? extends WvpWahlvorschlagDaten> type, PathMetadata metadata, PathInits inits) {
    super(type, metadata, inits);
    this.dateiImport = inits.isInitialized("dateiImport") ? new de.ivu.elect.business.datei.entity.QDateiImport(forProperty("dateiImport"), inits.get("dateiImport")) : null;// de.ivu.elect.business.datei.entity.QDateiImport.dateiImport;
    this.wvpBenutzer = inits.isInitialized("wvpBenutzer") ? new de.ivu.elect.business.kandidatenportal.entity.QWvpBenutzer(forProperty("wvpBenutzer"), inits.get("wvpBenutzer")) : null;// de.ivu.elect.business.kandidatenportal.entity.QWvpBenutzer.wvpBenutzer;
  }

  public QWvpWahlvorschlagDaten(String variable) {
    this(WvpWahlvorschlagDaten.class, forVariable(variable), INITS);
  }

  public QWvpWahlvorschlagDaten(Path<? extends WvpWahlvorschlagDaten> path) {
    this(path.getType(), path.getMetadata(), path.getMetadata().isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QWvpWahlvorschlagDaten(PathMetadata metadata) {
    this(metadata, metadata.isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QWvpWahlvorschlagDaten(PathMetadata metadata, PathInits inits) {
    this(WvpWahlvorschlagDaten.class, metadata, inits);
  }
}
